## EmpathyIdle

EmpathyIdle

## Synopsis

                        EmpathyIdle;
    EmpathyIdle *       empathy_idle_dup_singleton          (void);
    TpConnectionPresenceType  empathy_idle_get_state        (EmpathyIdle *idle);
    void                empathy_idle_set_state              (EmpathyIdle *idle,
                                                             TpConnectionPresenceType state);
    const gchar *       empathy_idle_get_status             (EmpathyIdle *idle);
    void                empathy_idle_set_status             (EmpathyIdle *idle,
                                                             const gchar *status);
    TpConnectionPresenceType  empathy_idle_get_flash_state  (EmpathyIdle *idle);
    void                empathy_idle_set_flash_state        (EmpathyIdle *idle,
                                                             TpConnectionPresenceType state);
    void                empathy_idle_set_presence           (EmpathyIdle *idle,
                                                             TpConnectionPresenceType state,
                                                             const gchar *status);
    gboolean            empathy_idle_get_auto_away          (EmpathyIdle *idle);
    void                empathy_idle_set_auto_away          (EmpathyIdle *idle,
                                                             gboolean auto_away);

## Object Hierarchy

      GObject
       +----EmpathyIdle

## Properties

      "auto-away"                gboolean              : Read / Write
      "flash-state"              guint                 : Read / Write
      "state"                    guint                 : Read / Write
      "status"                   gchar*                : Read / Write

## Description

## Details

### EmpathyIdle

    typedef struct _EmpathyIdle EmpathyIdle;

### empathy_idle_dup_singleton ()

    EmpathyIdle *       empathy_idle_dup_singleton          (void);

Returns : |

### empathy_idle_get_state ()

    TpConnectionPresenceType  empathy_idle_get_state        (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_state ()

    void                empathy_idle_set_state              (EmpathyIdle *idle,
                                                             TpConnectionPresenceType state);

`idle` : |
`state` : |

### empathy_idle_get_status ()

    const gchar *       empathy_idle_get_status             (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_status ()

    void                empathy_idle_set_status             (EmpathyIdle *idle,
                                                             const gchar *status);

`idle` : |
`status` : |

### empathy_idle_get_flash_state ()

    TpConnectionPresenceType  empathy_idle_get_flash_state  (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_flash_state ()

    void                empathy_idle_set_flash_state        (EmpathyIdle *idle,
                                                             TpConnectionPresenceType state);

`idle` : |
`state` : |

### empathy_idle_set_presence ()

    void                empathy_idle_set_presence           (EmpathyIdle *idle,
                                                             TpConnectionPresenceType state,
                                                             const gchar *status);

`idle` : |
`state` : |
`status` : |

### empathy_idle_get_auto_away ()

    gboolean            empathy_idle_get_auto_away          (EmpathyIdle *idle);

`idle` : |
Returns : |

### empathy_idle_set_auto_away ()

    void                empathy_idle_set_auto_away          (EmpathyIdle *idle,
                                                             gboolean auto_away);

`idle` : |
`auto_away` : |

## Property Details

### The `"auto-away"` property

      "auto-away"                gboolean              : Read / Write

Should it set presence to away if inactive.

Default value: FALSE

### The `"flash-state"` property

      "flash-state"              guint                 : Read / Write

flash-state.

Allowed values: <= 9

Default value: 0

### The `"state"` property

      "state"                    guint                 : Read / Write

state.

Allowed values: <= 9

Default value: 0

### The `"status"` property

      "status"                   gchar*                : Read / Write

status.

Default value: NULL